Package com.google.android.exoplayer2.upstream.cache

## Interface CacheWriter.ProgressListener

- Enclosing class:
    CacheWriter

      public static interface CacheWriter.ProgressListener

  Receives progress updates during cache operations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onProgress​(long requestLength, long bytesCached, long newBytesCached)` | Called when progress is made during a cache operation.

- - ### Method Detail

    - #### onProgress

          void onProgress​(long requestLength,
                          long bytesCached,
                          long newBytesCached)

      Called when progress is made during a cache operation.
      Parameters:
        `requestLength` - The length of the content being cached in bytes, or `C.LENGTH_UNSET` if unknown.
        `bytesCached` - The number of bytes that are cached.
        `newBytesCached` - The number of bytes that have been newly cached since the last progress update.